Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.PenStyle

    java.lang.Object
      java.lang.Enum<Qt.PenStyle>
          com.trolltech.qt.core.Qt.PenStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.PenStyle>

Enclosing interface:
  Qt

    public static enum Qt.PenStyle

extends java.lang.Enum<Qt.PenStyle>
implements QtEnumerator

This enum type defines the pen styles that can be drawn using `QPainter`. The styles are:

Qt::SolidLine | Qt::DashLine | Qt::DotLine
Qt::DashDotLine | Qt::DashDotDotLine | Qt::CustomDashLine

See Also:
  `QPen`

Enum Constant Summary
`CustomDashLine` A custom pattern defined using QPainterPathStroker::setDashPattern().
`DashDotDotLine` One dash, two dots, one dash, two dots.
`DashDotLine` Alternate dots and dashes.
`DashLine` Dashes separated by a few pixels.
`DotLine` Dots separated by a few pixels.
`MPenStyle` Internal.
`NoPen` no line at all.
`SolidLine` A plain line.

Method Summary
`static Qt.PenStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.PenStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.PenStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoPen

    public static final Qt.PenStyle NoPen

  no line at all. For example, QPainter::drawRect() fills but does not draw any boundary line.

### SolidLine

    public static final Qt.PenStyle SolidLine

  A plain line.

### DashLine

    public static final Qt.PenStyle DashLine

  Dashes separated by a few pixels.

### DotLine

    public static final Qt.PenStyle DotLine

  Dots separated by a few pixels.

### DashDotLine

    public static final Qt.PenStyle DashDotLine

  Alternate dots and dashes.

### DashDotDotLine

    public static final Qt.PenStyle DashDotDotLine

  One dash, two dots, one dash, two dots.

### CustomDashLine

    public static final Qt.PenStyle CustomDashLine

  A custom pattern defined using QPainterPathStroker::setDashPattern().

### MPenStyle

    public static final Qt.PenStyle MPenStyle

  Internal.

Method Detail

### values

    public static final Qt.PenStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.PenStyle c : Qt.PenStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.PenStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.PenStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD